$(function() {

	// Get the form.
	var form = $('#ajax-contact');

	// Get the messages div.
	var formMessages = $('#form-messages');

	// Set up an event listener for the contact form.
	$(form).submit(function(e) {
		// Stop the browser from submitting the form.
		e.preventDefault();

		// Serialize the form data.
		var formData = $(form).serialize();

		// Submit the form using AJAX.
		$.ajax({
			type: 'POST',
			url: $(form).attr('action'),
			data: formData
		})
		.done(function(response) {
			// Make sure that the formMessages div has the 'success' class.
			$(formMessages).removeClass('error');
			$(formMessages).addClass('success');

			// Set the message text.
			$(formMessages).text(response);

			// Clear the form.
			$('#name').val('');
			$('#email').val('');
			$('#message').val('');
			$('#contacttype').val('');
			$('#phoneUK').val('');
			$('#noemp').val('');
			$('#postcodeUK').val('');
			$('#comp').val('');
			$('#userid').val('');
			$('#captcha_code').val('');
			$('#jtitle').val('');
			$('#fieldurl').val('');
			$('#fname').val('');
			$('#femail').val('');
			$('#address').val('');
			$('#address1').val('');
			$('#fax').val('');
			$('#nobranch').val('');
		})
		.fail(function(data) {
			// Make sure that the formMessages div has the 'error' class.
			$(formMessages).removeClass('success');
			$(formMessages).addClass('error');

			// Set the message text.
			if (data.responseText !== '') {
				$(formMessages).text(data.responseText);
			} else {
				$(formMessages).text('Oops! An error occured and your message could not be sent.');
			}
		});

	});
	// Validate phone no. for UK.
jQuery.validator.addMethod('phoneUK', function(phone_number, element) {
return this.optional(element) || phone_number.length > 9 &&
phone_number.match(/^(((\+44)? ?(\(0\))? ?)|(0))( ?[0-9]{3,4}){3}$/);
}, 'Please specify a valid phone number');

	// Validate postCode for UK.
jQuery.validator.addMethod("postcodeUK", function(value, element) {
return this.optional(element) || /^[A-Z]{1,2}[0-9]{1,2} ?[0-9][A-Z]{2}$/i.test(value);
}, "Please specify a valid Postcode");

// override jquery validate plugin defaults
$.validator.setDefaults({
    errorElement: "span",
    errorClass: "help-block",
    highlight: function (element, errorClass, validClass) {
        $(element).closest('.form-group').addClass('has-error');
    },
    unhighlight: function (element, errorClass, validClass) {
        $(element).closest('.form-group').removeClass('has-error');
    },
    errorPlacement: function (error, element) {
        if (element.parent('.input-group').length || element.prop('type') === 'checkbox' || element.prop('type') === 'radio') {
            error.insertAfter(element.parent());
        } else {
            error.insertAfter(element);
        }
    }
});
// Initiate jquery validate plugin defaults
$("#ajax-contact").validate();
jQuery.validator.setDefaults({
  debug: true,
  success: "valid"
});
$( "#ajax-contact" ).validate({
  rules: {
    phoneUK: {
      required: true,
      phoneUK: true
    }
  }
});

$( "#ajax-contact" ).validate({
  rules: {
    fieldurl: {
      required: false,
      url: true
    }
  }
});
});
